### org.jfree.layouting.layouter.style.values

# Class CSSFormatedValue

- `java.lang.Object`
- - `org.jfree.layouting.input.style.values.CSSStringValue`
  - - `org.jfree.layouting.layouter.style.values.CSSFormatedValue`

Implemented Interfaces:
  CSSValue, Serializable

`public class CSSFormatedValue`
`extends CSSStringValue`

Creation-Date: 16.04.2006, 16:25:29

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSFormatedValue(String value, Object raw, Format formatSpec)`

  ## Method Summary

  `Format`

  `getFormatSpec()`

  `Object`

  `getRaw()`

  ### Methods inherited from class org.jfree.layouting.input.style.values.CSSStringValue

  `getCSSText`, `getType`, `getValue`, `toString`

## Constructor Details

### CSSFormatedValue

    public CSSFormatedValue(String value,
                            Object raw,
                            Format formatSpec)

## Method Details

### getFormatSpec

    public Format getFormatSpec()

### getRaw

    public Object getRaw()